Contents

# MonthName Function [VBA]

The MonthName function returns the localized month name of a specified month number.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

            MonthName(Month as Integer [,Abbreviate as Boolean])

### Return type:

String

### Parameters:

Month: Value from 1 to 12, January to December, whose localized month name need to be returned.

Abbreviate: Optional. A Boolean value that indicates if the month name is to be abbreviated.

### Error codes:

5 Invalid procedure call

### Example:

            REM  *****  BASIC  *****
            Option VBASupport 1
            Sub Example_MonthName
             Dim mBirthday as Integer
             mBirthday = 1
             print mBirthday &" "& MonthName(mBirthday,False)
            End Sub

Related Topics

VBA Time and Date functions

Please support us!